Results 1 to 6 of 6

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Purchased New iphone off ebay... Unlockable firmware.

  1. #1
    Default Purchased New iphone off ebay... Unlockable firmware.
    Guys I just got a new iPhone 3GS from eBay and im pretty sure it has an unlockable firmware.

    I still need to activate it and basically do everything.

    I thought I was going to jailbreak then activate with redsnow and ultrasnow respectively until I tried to restore and got the "the device isnt eligible for the requested build" Apple not signing the firmware downgrade ********. I didn't back up my anything from to saurik's server/cydia... am I **** out of luck? or is there a workaround for me.

    Please advise and thanks in advance.

  2. #2
    Try just running redsn0w. If it has 3.0 or 3.0.1 on it, it *should* work. I've never tried to jailbreak an unactivated phone, so I can't say for sure.

    If it has 3.1 on it, redsn0w won't work, and you wouldn't be able to unlock it anyway.

  3. #3
    Thanks for your reply looi3... The thing is I don't know exactly what firmware it is, so when redsnow asks to choose what CURRENT firmware u have I dont know what to select.

    As u know my phone is still unactivated and thats why im trying jailbreak/activate with redsnow. Is there a way to tell what firmware it is from the pre activatied phone? 3.0 or 3.0.1?

    It sucks cause I dont have an ATT simcard either.

    Would u also know where to get a custom firmware? created from pwnage tool?

    sorry for all the questions.

  4. #4
    Redsn0w 0.8 *only* accepts a 3.0 ipsw. So run redsn0w, point it at the 3.0 ipsw, and follow the on screen directions, and hope for the best.

    custom firmware...Google is your friend.

  5. #5
    Thanks for the help Looi3... Its just strange that it asks u to choose ur firmware if it only works on 3.0.

    In any case... I decided to just fu*k it and go ahead with it. I chose the 3.0 and it worked..

    Redsnow works in jailbreaking unactivated 3.0 iPhone 3gs. then unlocked with ultrasnow

    Thanks again for all ur help looi3

  6. #6
    So you are up and running then? Awesome. Now, since you rely on an unlock for service, make sure if you ever upgrade past 3.0, you ONLY upgrade with custom firmwares that don't update the baseband. NEVER accept a firmware upgrade that iTunes offers you.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •